<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:18 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.java.reverse.ast (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.java.reverse.ast (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.languages.java.reverse.ast</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.ast">ASTParserConstants</a></td>
<td class="colLast">
<div class="block">Token literal values and constants.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/ASTParserTokenManager.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">ASTParserTokenManager</a></td>
<td class="colLast">
<div class="block">Token Manager.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/BlockComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">BlockComment</a></td>
<td class="colLast">
<div class="block">
 AST node that represent block comments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Comment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Comment</a></td>
<td class="colLast">
<div class="block">Abstract class for all AST nodes that represent comments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/CompilationUnit.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">CompilationUnit</a></td>
<td class="colLast">
<div class="block">
 This class represents the entire compilation unit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/ImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">ImportDeclaration</a></td>
<td class="colLast">
<div class="block">
 This class represents a import declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/JavaCharStream.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">JavaCharStream</a></td>
<td class="colLast">
<div class="block">An implementation of interface CharStream, where the stream is assumed to
 contain only ASCII characters (with java-like unicode escape processing).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/JavaParser.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">JavaParser</a></td>
<td class="colLast">
<div class="block">
 This class was generated automatically by javacc, do not edit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/LineComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">LineComment</a></td>
<td class="colLast">
<div class="block">
 AST node that represent line comments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Node</a></td>
<td class="colLast">
<div class="block">Abstract class for all nodes of the AST.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">PackageDeclaration</a></td>
<td class="colLast">
<div class="block">
 This class represents the package declaration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/Token.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">Token</a></td>
<td class="colLast">
<div class="block">Describes the input token stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TypeParameter</a></td>
<td class="colLast">
<div class="block">
 This class represents the declaration of a genetics argument.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/ParseException.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">ParseException</a></td>
<td class="colLast">
<div class="block">This exception is thrown when parse errors are encountered.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Error Summary table, listing errors, and an explanation">
<caption><span>Error Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Error</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TokenMgrError.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TokenMgrError</a></td>
<td class="colLast">
<div class="block">Token Manager Error.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
